Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class ComposeAction

    java.lang.Object
      portlets.compoze.groupware.mail.ComposeAction

All Implemented Interfaces:
  java.io.Serializable

public class ComposeAction
extends java.lang.Object
implements java.io.Serializable

This class represents a compose action.

See Also:
  Serialized Form

Field Summary
`static int` | `ACTION_DRAFT` This represents a 'draft' action.
`static int` | `ACTION_FORWARD` This represents a 'forward' action.
`static int` | `ACTION_MEETING_ACCEPT` This represents a 'meeting accept' action.
`static int` | `ACTION_MEETING_ACCEPT_TENTATIVE` This represents a 'meeting accept tentative' action.
`static int` | `ACTION_MEETING_DECLINE` This represents a 'meeting decline' action.
`static int` | `ACTION_NEW_MESSAGE` This represents a 'new message' action.
`static int` | `ACTION_REPLY` This represents a 'reply' action.
`static int` | `ACTION_REPLY_ALL` This represents a 'reply all' action.

Constructor Summary
`ComposeAction()`

Method Summary
`static java.lang.String` | `prepareBody(java.lang.String sFrom, java.lang.String sSubject, java.util.Date timeReceived, RecipientInfo info, java.lang.String sBody, java.util.Locale locale, java.util.TimeZone timeZone)` Prepares the message body.
`static java.lang.String` | `prepareSubject(java.lang.String sSubject, int iAction, java.util.Locale locale)` Prepares the subject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_NEW_MESSAGE

    public static final int ACTION_NEW_MESSAGE

  This represents a 'new message' action.

  See Also:
    Constant Field Values

### ACTION_REPLY

    public static final int ACTION_REPLY

  This represents a 'reply' action.

  See Also:
    Constant Field Values

### ACTION_FORWARD

    public static final int ACTION_FORWARD

  This represents a 'forward' action.

  See Also:
    Constant Field Values

### ACTION_MEETING_ACCEPT

    public static final int ACTION_MEETING_ACCEPT

  This represents a 'meeting accept' action.

  See Also:
    Constant Field Values

### ACTION_MEETING_DECLINE

    public static final int ACTION_MEETING_DECLINE

  This represents a 'meeting decline' action.

  See Also:
    Constant Field Values

### ACTION_MEETING_ACCEPT_TENTATIVE

    public static final int ACTION_MEETING_ACCEPT_TENTATIVE

  This represents a 'meeting accept tentative' action.

  See Also:
    Constant Field Values

### ACTION_DRAFT

    public static final int ACTION_DRAFT

  This represents a 'draft' action.

  See Also:
    Constant Field Values

### ACTION_REPLY_ALL

    public static final int ACTION_REPLY_ALL

  This represents a 'reply all' action.

  See Also:
    Constant Field Values

Constructor Detail

### ComposeAction

    public ComposeAction()

Method Detail

### prepareSubject

    public static java.lang.String prepareSubject(java.lang.String sSubject,
                                                  int iAction,
                                                  java.util.Locale locale)

  Prepares the subject.

  Parameters:
    `sSubject` - the subject to prepare
    `iAction` - the action (see `ACTION_` constants)
    `locale` - the locale

### prepareBody

    public static java.lang.String prepareBody(java.lang.String sFrom,
                                               java.lang.String sSubject,
                                               java.util.Date timeReceived,
                                               RecipientInfo info,
                                               java.lang.String sBody,
                                               java.util.Locale locale,
                                               java.util.TimeZone timeZone)

  Prepares the message body.

  Parameters:
    `sFrom` - the from
    `sSubject` - the message subject
    `timeReceived` - the time received
    `info` - the recipients
    `sBody` - the message body
    `locale` - the locale
    `timeZone` - the time zone
  Returns:
    the prepared message body

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.